Attribute VB_Name = "modScoreDatabase"
Option Explicit

Public Const L_Score = 14 'There are score fields in each Score Database record

Public Function GetScoreDatabaseRecord(ServerIndex As Long, ScoreDatabaseIndex As Long) As String
With Server(ServerIndex)
If ScoreDatabaseIndex < 1 Or ScoreDatabaseIndex > .ScoreDatabaseRecords Then
 GetScoreDatabaseRecord = String(L_Score, Chr(0))
 Exit Function
End If
GetScoreDatabaseRecord = FillZero(Mid(.ScoreDatabase, (ScoreDatabaseIndex - 1) * L_Score + 1, L_Score), L_Score)
End With
End Function

Public Sub PutScoreDatabaseRecord(ServerIndex As Long, ScoreDatabaseIndex As Long, ScoreDatabaseRecord As String)
If ScoreDatabaseIndex < 1 Then Exit Sub
With Server(ServerIndex)
If ScoreDatabaseIndex > .ScoreDatabaseRecords Then
 .ScoreDatabase = .ScoreDatabase + String(L_Score * ScoreDatabaseIndex - .ScoreDatabaseRecords * L_Score - L_Score, Chr(0)) + ScoreDatabaseRecord
 Exit Sub
End If
.ScoreDatabase = Left(.ScoreDatabase, (ScoreDatabaseIndex - 1) * L_Score) + ScoreDatabaseRecord + Mid(.ScoreDatabase, ScoreDatabaseIndex * L_Score + 1)
End With
End Sub

'Whenever a new user database record is made, score database record is made too
Public Sub CreateScoreDatabaseRecord(ServerIndex As Long, ScoreDatabaseRecords As Long)
With Server(ServerIndex)
.ScoreDatabaseRecords = .ScoreDatabaseRecords + 1
PutScoreDatabaseRecord ServerIndex, .ScoreDatabaseRecords, String(L_Score, Chr(0))
ScoreDatabaseRecords = .ScoreDatabaseRecords
End With
End Sub
